> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織の日次消費量を取得

> 特定の組織について、1 日ごとの ACU 使用量を取得します。

指定した組織に対し、合計 ACU 数と、日別に集計された使用量を返します。

**タイムゾーンの挙動**: 課金では、1 日の区切りとして PST（Pacific Standard Time／太平洋標準時）の深夜 0 時を使用します。これは UTC では 08:00:00 に相当します。Devin ダッシュボードに表示される使用データと一致させるには、このタイムゾーンのオフセットを考慮した Unix タイムスタンプを指定してください（例: 2025 年 12 月 5 日 PST 深夜 0 時は 1733385600）。

<div id="product-level-breakdown">
  ## プロダクト別内訳
</div>

レスポンス内の各日付エントリには、合計 ACU 消費量をプロダクト別（`devin`、`cascade`、`terminal`）に内訳した `acus_by_product` オブジェクトが含まれます。これにより、各日におけるプロダクト別の消費状況を確認できます。あるプロダクトについてプロダクトレベルのデータが存在しない場合、その値はデフォルトで `0.0` になります。

<div id="permissions">
  ## 権限
</div>

Enterprise レベルで `ViewAccountConsumption` 権限を持つサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/enterprise/consumption/daily/organizations/{org_id}
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/consumption/daily/organizations/{org_id}:
    get:
      tags:
        - consumption
      summary: 組織の日次消費量を取得
      description: >-
        特定の組織について、1 日ごとの ACU 使用量を取得します。


        指定した組織に対し、合計 ACU 数と、日別に集計された使用量を返します。


        **タイムゾーンの挙動**: 課金では、1 日の区切りとして PST（Pacific Standard Time／太平洋標準時）の深夜 0
        時を使用します。これは UTC では 08:00:00 に相当します。Devin
        ダッシュボードに表示される使用データと一致させるには、このタイムゾーンのオフセットを考慮した Unix タイムスタンプを指定してください（例:
        2025 年 12 月 5 日 PST 深夜 0 時は 1733385600）。
      operationId: >-
        handle_get_org_consumption_daily_v3_enterprise_consumption_daily_organizations__org_id__get
      parameters:
        - description: '組織 ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - in: query
          name: time_before
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Time Before
        - in: query
          name: time_after
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Time After
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumptionResponse'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    ConsumptionResponse:
      properties:
        consumption_by_date:
          items:
            $ref: '#/components/schemas/ConsumptionByDateResponse'
          title: Consumption By Date
          type: array
        total_acus:
          title: Total Acus
          type: number
      required:
        - total_acus
        - consumption_by_date
      title: ConsumptionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ConsumptionByDateResponse:
      properties:
        acus:
          title: Acus
          type: number
        acus_by_product:
          $ref: '#/components/schemas/AcusByProduct'
        date:
          title: Date
          type: integer
      required:
        - date
        - acus
        - acus_by_product
      title: ConsumptionByDateResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    AcusByProduct:
      properties:
        cascade:
          title: Cascade
          type: number
        devin:
          title: Devin
          type: number
        review:
          anyOf:
            - type: number
            - type: 'null'
          title: Review
        terminal:
          title: Terminal
          type: number
      required:
        - devin
        - cascade
        - terminal
      title: AcusByProduct
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````